com.lowagie.text.pdf.collection

## Class PdfCollectionSchema

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.collection.PdfCollectionSchema

    public class PdfCollectionSchema
    extends PdfDictionary

### Field Summary

### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfCollectionSchema()` Creates a Collection Schema dictionary.

### Method Summary

Methods
`void` `addField(java.lang.String name, PdfCollectionField field)` Adds a Collection field to the Schema.

### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PdfCollectionSchema

    public PdfCollectionSchema()

Creates a Collection Schema dictionary.

### Method Detail

#### addField

    public void addField(java.lang.String name,
                PdfCollectionField field)

Adds a Collection field to the Schema.

Parameters:
  `name` - the name of the collection field
  `field` - a Collection Field